//---------------------------------------------------------------------------
#ifndef MiniMapH
#define MiniMapH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>

#include "Globals.h"
#include <Buttons.hpp>
#include <ExtCtrls.hpp>

//---------------------------------------------------------------------------
class TMiniForm : public TForm
{
__published:	// IDE-managed Components
    TSpeedButton *FlipY;
    TSpeedButton *FlipX;
    TPaintBox *ColPic;
    TPaintBox *ChrPic;
    TButton *Button1;
    TLabel *RCol;
    TSpeedButton *ShfLeft;
    TSpeedButton *ShfRight;
  TGroupBox *GroupBox1;
  TSpeedButton *SpeedButton1;
  TSpeedButton *SpeedButton2;
  TSpeedButton *SpeedButton3;
  TSpeedButton *SpeedButton4;
  TSpeedButton *SpeedButton5;
  TSpeedButton *SpeedButton6;
  TSpeedButton *SpeedButton7;
  TSpeedButton *SpeedButton8;
    void __fastcall FormPaint(TObject *Sender);
    void __fastcall FlipYClick(TObject *Sender);
    void __fastcall FlipXClick(TObject *Sender);

    void __fastcall ChrPicMouseDown(TObject *Sender, TMouseButton Button, TShiftState Shift, int X, int Y);
    void __fastcall ColPicMouseDown(TObject *Sender, TMouseButton Button, TShiftState Shift, int X, int Y);

    void __fastcall Button1Click(TObject *Sender);
    void __fastcall ColPicMouseMove(TObject *Sender, TShiftState Shift, int X, int Y);
    void __fastcall ChrPicMouseMove(TObject *Sender, TShiftState Shift, int X, int Y);
    void __fastcall FormCreate(TObject *Sender);
    
    void __fastcall ShfLeftClick(TObject *Sender);
    void __fastcall ShfRightClick(TObject *Sender);
    
    
  void __fastcall FormKeyDown(TObject *Sender, WORD &Key,
          TShiftState Shift);
private:	// User declarations
public:		// User declarations
    __fastcall TMiniForm(TComponent* Owner);

};

//---------------------------------------------------------------------------
extern PACKAGE TMiniForm *MiniForm;
//---------------------------------------------------------------------------
#endif
